Bug 1122603 - Tox 1.7.1 requires virtualenv>=1.11.2
Summary: Tox 1.7.1 requires virtualenv>=1.11.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-tox
Version: 20
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 15:09 UTC by Volker Braun
Modified: 2014-08-07 15:35 UTC (History)
2 users (show)

Fixed In Version: python-virtualenv-1.11.6-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-07 15:35:52 UTC


Attachments (Terms of Use)

Description Volker Braun 2014-07-23 15:09:10 UTC
Description of problem:

$ tox
Traceback (most recent call last):
  File "/usr/bin/tox", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 2797, in <module>
    parse_requirements(__requires__), Environment()
  File "/usr/lib/python2.7/site-packages/pkg_resources.py", line 576, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: virtualenv>=1.11.2


Version-Release number of selected component (if applicable):

python-virtualenv-1.10.1-1.fc20.noarch
python-tox-1.7.1-1.fc20.noarch

How reproducible:

Always

Additional info:

The recent tox update at #1117197 broke this. Virtualenv should be updated to a sufficiently new version to satisfy the dependency.

Comment 1 Volker Braun 2014-07-23 15:15:08 UTC
This might require a tox.ini with deps, so that tox is forced to set up a virtualenv. For example my project at https://github.com/sagemath/git-trac-command

Comment 2 Shivaram Lingamneni 2014-07-30 00:44:06 UTC
I'm seeing this as well.

Comment 3 Fedora Update System 2014-07-31 06:59:16 UTC
python-virtualenv-1.11.6-1.fc20,python-tox-1.7.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-virtualenv-1.11.6-1.fc20,python-tox-1.7.1-2.fc20

Comment 4 Fedora Update System 2014-08-01 06:06:06 UTC
Package python-virtualenv-1.11.6-1.fc20, python-tox-1.7.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-virtualenv-1.11.6-1.fc20 python-tox-1.7.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9084/python-virtualenv-1.11.6-1.fc20,python-tox-1.7.1-2.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-08-07 15:35:52 UTC
python-virtualenv-1.11.6-1.fc20, python-tox-1.7.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.